/*
 * $Id: strerror.c 6358 1998-09-01 17:32:40Z tmap $
 */

/*LINTLIBRARY*/


#include "udposix.h"
#include "string.h"


/*
 * Return the string corresponding to a given error number.
 */
    char*
strerror(errnum)
    int		errnum;
{
    extern int	sys_nerr;
    extern char	*sys_errlist[];

    return errnum >= 0 && errnum < sys_nerr
		? sys_errlist[errnum]
		: "unknown error";
}
